Delete Prospect List
curl --request POST \
--url https://api.goextrovert.com/client/v2/prospect-list/{id}/delete \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"listId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejectAllPostsActivities": true
}
'import requests
url = "https://api.goextrovert.com/client/v2/prospect-list/{id}/delete"
payload = {
"listId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejectAllPostsActivities": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
listId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
campaignId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
rejectAllPostsActivities: true
})
};
fetch('https://api.goextrovert.com/client/v2/prospect-list/{id}/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": null,
"message": "Operation completed successfully"
}{
"status": "error",
"data": null,
"message": "An error occurred while processing the request"
}Prospects
Delete Prospect List
Deletes a prospect list and all its prospects. Pass listId and campaignId together.
POST
/
client
/
v2
/
prospect-list
/
{id}
/
delete
Delete Prospect List
Authorizations
API Key for authentication
Path Parameters
Body
application/json
Scope of the operation. all — all visible prospects. list — a specific prospect list (use together with listId). campaign — every list in a campaign (use together with campaignId).
Available options:
all, list, campaign ID of the prospect list to delete.
ID of the parent campaign of the prospect list.
Whether pending posts of the affected prospects should also be rejected.
⌘I